Bug 1605539 - pycryptopp: FTBFS in Fedora rawhide
Summary: pycryptopp: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pycryptopp
Version: 29
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1626806 1632795 (view as bug list)
Depends On:
Blocks: 1585626 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 15:54 UTC by Mohan Boddu
Modified: 2019-11-27 19:30 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:30:47 UTC


Attachments (Terms of Use)
build.log (4.39 KB, text/plain)
2018-07-20 15:54 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 15:54 UTC, Mohan Boddu
no flags Details
state.log (835 bytes, text/plain)
2018-07-20 15:55 UTC, Mohan Boddu
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1627258 None CLOSED Retire pycryptopp in Fedora 30+ 2019-11-04 19:10:54 UTC

Internal Links: 1627258

Description Mohan Boddu 2018-07-20 15:54:46 UTC
pycryptopp failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28219720


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix pycryptopp at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pycryptopp will be orphaned. Before branching of Fedora 30,
pycryptopp will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 15:54:53 UTC
Created attachment 1465799 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 15:54:57 UTC
Created attachment 1465800 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 15:55:02 UTC
Created attachment 1465801 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:14:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Miro Hrončok 2018-08-20 14:47:12 UTC
This hold upgrades to F29:

Problem 12: problem with installed package pycryptopp-0.6.0.1206569328141510525648634803928199668821045408958-15.fc28.x86_64
  - package pycryptopp-0.6.0.1206569328141510525648634803928199668821045408958-15.fc29.x86_64 requires libcryptopp.so.6()(64bit), but none of the providers can be installed
  - pycryptopp-0.6.0.1206569328141510525648634803928199668821045408958-15.fc28.x86_64 does not belong to a distupgrade repository
  - cryptopp-6.1.0-2.fc28.x86_64 does not belong to a distupgrade repository

Comment 6 Adam Williamson 2018-09-27 09:06:39 UTC
*** Bug 1626806 has been marked as a duplicate of this bug. ***

Comment 7 Adam Williamson 2018-09-27 09:06:50 UTC
*** Bug 1632795 has been marked as a duplicate of this bug. ***

Comment 8 Adam Williamson 2018-09-27 09:08:43 UTC
For the record, in F30 it's been retired as part of the Python 2 mass retirement, and obsoleted in fedora-obsolete-packages. So this is only a problem in F29.

Comment 9 Adam Williamson 2018-09-27 09:23:13 UTC
A comment on an AUR (yes, I'm scared too. Hold me) suggests this patch:

https://gist.github.com/skydrome/bb9665fc0b449167bb25a57b45829ca8

I mean...maybe?

Comment 10 Adam Williamson 2018-09-27 09:24:55 UTC
https://aur.archlinux.org/cgit/aur.git/tree/api_change.patch?h=pycryptopp is the patch as actually checked into the AUR.

Comment 11 Ben Cotton 2019-10-31 20:40:53 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-11-27 19:30:47 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.